From: Guy Harris <[email-masked]>

Package: gtk+
Version: 1.2.3

OS: Solaris 2.5.1
X: X11R6 client libraries that come with Solaris 2.5.1, Exceed X11R6
   server running atop Windows NT

but it probably has the same problem with all versions of UNIX and X.

Bug:

"gtk_tree_set_view_lines()" has no effect; the lines are drawn anyway. 

This can be reproduced using the "testgtk" program; if you click the
"tree" button, and create a tree, it will draw the lines in the tree
view regardless of the setting of the "Draw line" option.

Fix:

Add a check of "tree->view_line", after setting "tree", in
"gtk_tree_item_draw_lines()"; if it's false, just return without drawing
anything.